---
search:
  tags:
    - servers
    - POST
seo:
  description: >-
    Probe server hardware specs live and persist the result. Reference for the
    POST /api/v1/servers/{id}/specs endpoint in the TimescaleDB Enterprise API.
sidebar:
  label: Probe server hardware specs
  badge: POST
title: Probe server hardware specs
type: openapi-operation
---
Probe server hardware specs live and persist the result.

`POST /api/v1/servers/{id}/specs`

**Responses**

- `200` — OK
- `default` — Error

Response example, 200:

```json
{
  "error": "string",
  "specs": {
    "arch": "string",
    "disks": [
      {
        "avail_bytes": 0,
        "disk": "string",
        "mount": "string",
        "name": "string",
        "size_bytes": 0,
        "used_bytes": 0
      }
    ],
    "listening_ports": [
      0
    ],
    "memory_total_bytes": 0,
    "os_id": "string",
    "os_version": "string",
    "pg_cpu_limit": 0,
    "pg_data_dirs": [
      "string"
    ],
    "pg_memory_limit_bytes": 0,
    "python_ok": true,
    "shell_clean": true,
    "sudo_ms": 0,
    "sudo_ok": true,
    "var_lib_avail_bytes": 0,
    "vcpus": 0
  },
  "status": "string"
}
```
